Scilab Function

chsolve - solveur de Cholesky creux

### Calling Sequence

  `sol=chsolve(spcho,rhs)`

### Parameters

- `spcho` : liste contenant les facteurs de Cholesky renvoyés par chfact
- `rhs, sol` : vecteurs

### Description

`sol=chsolve(spcho,rhs)` calcule la solution de `sol=A*rhs` , où `A` est une matrice symétrique définie positive. Cette fonction est basée sur le programme Ng-Peyton (ORNL). Voir le programme Fortran pour une description complète des variables de la liste `spcho` .

### Examples

    A=sprand(20,20,0.1);
    A=A*A'+eye();
    spcho=chfact(A);
    sol=(1:20)';rhs=A*sol;
    spcho=chfact(A);
    chsolve(spcho,rhs)

### See Also

`chfact` , `sparse` , `lufact` , `luget` , `spchol` ,